DIFFSEQ(1e)

NAME
diffseq - Compare and report features of two similar sequences

SYNOPSIS

diffseq -asequence sequence -bsequence sequence -wordsize integer [-globaldifferences boolean] -outfile report -aoutfeat featout -boutfeat featout

diffseq -help

DESCRIPTION

diffseq is a command line program from EMBOSS (“the European Molecular Biology Open Software Suite”). It is part of the "Alignment:Differences" command group(s).

OPTIONS

  Input section

-asequence sequence

-bsequence sequence

  Required section

-wordsize integer
    The similar regions between the two sequences are found by creating a hash table of 'wordsize'd subsequences. 10 is a reasonable default. Making this value larger (20?) may speed up the program slightly, but will mean that any two differences within 'wordsize' of each other will be grouped as a single region of difference. This value may be made smaller (4?) to improve the resolution of nearby differences, but the program will go much slower. Default value: 10

  Additional section

-globaldifferences boolean
    Normally this program will find regions of identity that are the length of the specified word-size or greater and will then report the regions of difference between these matching regions. This works well and is what most people want if they are working with long overlapping nucleic acid sequences. You are usually not interested in the non-overlapping ends of these sequences. If you have protein sequences or short RNA sequences however, you will be interested in differences at the very ends . It this option is set to be true then the differences at the ends will also be reported. Default value: N

  Output section

-outfile report

-aoutfeat featout
    File for output of first sequence's features Default value: $(asequence.name).diffgff

-boutfeat featout
    File for output of second sequence's features Default value: $(bsequence.name).diffgff

BUGS

Bugs can be reported to the Debian Bug Tracking system (http://bugs.debian.org/emboss), or directly to the EMBOSS developers (http://sourceforge.net/tracker/?group_id=93650&atid=605031).

SEE ALSO

diffseq is fully documented via the tfm(1) system.

AUTHOR

Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
    Wrote the script used to autogenerate this manual page.

COPYRIGHT

This manual page was autogenerated from an Ajax Control Definition of the EMBOSS package. It can be redistributed under the same terms as EMBOSS itself.